Subject: RE: Cannot seem to bind to port 443?

From: David Hsu <[email-masked]>
Date: Wed, 30 Jan 2002 08:30:31 +1100

Hi All,

It was a simple problem indeed!  I did not explicitly Listen on port 443 (as
suggested below).  For some (stupid) reason I thought apahce would default
to port 80 and automagically pick up port 443 from the config (which is easy
to do I assume from the readout of httpd -S).  Anyway I did not have any
Listen directives and I've since put in 

Listen 443
Listen 80

and it works now.  Thank you all for the suggestions etc.  Cheers,

David Hsu

-----Original Message-----
From: Andy Osborne [mailto:[email-masked]]
Sent: Tuesday, 29 January 2002 9:40 PM
To: [email-masked]
Subject: Re: Cannot seem to bind to port 443?

David Hsu wrote:

> Hi All,
[snip]

> 
> <VirtualHost 192.168.221.63:443>
>    ServerName intertest.anstat.com.au
> 
>    LogLevel debug
>    ErrorLog logs/anstat_com_ssl-error
>    CustomLog logs/anstat_com_ssl-access common
> 
> SSLEngine               On
> SSLCertificateFile      /etc/httpd/conf/intertest.anstat.com.au.crt
> SSLCertificateKeyFile   /etc/httpd/conf/intertest.anstat.com.au.key
> </VirtualHost>
> =======================
> 
> After apache is started, there's absolutely no error message anywhere.
> However httpd does not seem to bind to port 443 at all?  (checked using
> netstat -anp | grep "443")  There is NO firewall installed on this server.
> Connecting to https via browser fails obviously.  telnet localhost 443
also
> fails.

Try...

Listen 192.168.221.63:443
<VirtualHost 192.168.221.63:443>
    ServerName intertest.anstat.com.au

.... etc

Andy

-- 
Andy Osborne      ****************      "Vertical B2B Communities"
Senior Internet Engineer
Sift Group Ltd.               100 Victoria Street, Bristol BS1 6HZ
tel:+44 117 915 9600  fax:+44 117 915 9630   http://www.sift.co.uk

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]